Subject: Re: Relative url values in .gitmodules confusingly sensitive to clone via ssh vs https.

From: "brian m. carlson" <[email-masked]>
Date: Mon, 23 Mar 2020 01:11:17 +0000

On 2020-03-17 at 18:34:09, Benjamin Shropshire wrote:
> From my perspective, this is a bug.
> 
> If I clone a repo twice like this:
> 
> git clone https://github.com/user/repo.git ./https
> git clone [email-masked]:user/repo.git ./ssh
> 
> And if it contains a .gitmodules like this:
> 
> [submodule "x"]
>     path = xxx
>     url = ../../different-user/something.git
> 
> When I `git submodule update --init --recursive` in each, only the
> HTTPS version works. the SSH version confusingly seems to try to find
> something at ~/different-user/something.git or some other path in the
> local file system.

What version of Git are you using?  This works fine for me on a recent
next.  In addition, I see we have tests for this in t0060, and adding an
additional case for this appears to pass.
-- 
brian m. carlson: Houston, Texas, US
OpenPGP: https://keybase.io/bk2204